/gas_demand_history#
Reconstruct the daily U.S. natural gas demand nowcast as it stood at a point in time
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/gas_demand_history |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/gas_demand_history" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
gas_demand_history_resp = hyperion_api_client.gas_demand_history()
gas_demand_history_df = gas_demand_history_resp.df()
gas_demand_history_df.head()
# Example of a Windows PowerShell request to the gas_demand_history endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/gas_demand_history' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
as_of |
string |
Reconstruct the series as it was published at this timestamp, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS), using the latest value released at or before it. Defaults to the latest available version. |
— |
date_max |
string |
End of demand date range (inclusive) |
— |
date_min |
string |
Start of demand date range (inclusive) |
— |
demand_type |
string array |
Demand type / category |
— |
model_scenario |
string array |
Demand model scenario; currently baseline. |
— |
region |
string array |
An array of strings |
— |
weather_scenario |
string array |
Weather scenario identifier; currently baseline. |
— |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
as_of |
string |
Timestamp of the run that last changed this value at or before the requested as_of, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
— |
date |
string |
Gas day |
— |
demand_type |
string |
Demand type / category |
Electric Power |
gas_demand_bcf_day |
number |
Daily demand or trade-flow rate in Bcf/d as it was published at the requested as_of |
— |
model_scenario |
string |
Demand model scenario |
— |
region |
string |
CONUS or one of the five EIA gas storage regions |
South Central |
updated_at |
string |
Last update timestamp in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
— |
weather_scenario |
string |
Weather scenario identifier |
— |
Normal Output#
as_of |
date |
region |
demand_type |
gas_demand_bcf_day |
updated_at |
model_scenario |
weather_scenario |
|---|---|---|---|---|---|---|---|
2026-06-25T13:43:15.496136+00:00 |
2023-07-01 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850460+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-02 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850465+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-03 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850470+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-04 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850475+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-05 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850480+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-06 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850485+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-07 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850490+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-08 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850494+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-09 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850499+00:00 |
baseline |
baseline |
2026-06-25T13:43:15.496136+00:00 |
2023-07-10 |
CONUS |
LNG Imports |
-0.0 |
2026-06-25T13:14:02.850504+00:00 |
baseline |
baseline |